header {
	max-height: 144px;
    position: absolute;
    left: 0;
    right: 0;
}

.header__container {
	display: flex;
	justify-content: space-between;
    align-items: center;
}


#menu-navigation {
	padding: 0;
	margin: 0;
	list-style: none;
	display: flex;
    gap: 5.75rem;
	text-transform: uppercase;
	font-size: 14px;

}

header .main-menu {
	transition: transform 0.3s ease;
}

#menu-navigation a {
	color: var(--color-primary-first);
}

.menu-mobile-btn,
.menu-mobile-btn_close {
    outline: 0;
    background: transparent;
    border: 0;
	
	display: none;
}

header .buttoned-link.mobile {
	display: none;
}

.site-logo img {
	width: clamp(3.125rem, 0.902rem + 9.485vi, 9rem);
}

@media (max-width: 1366px) {
	#menu-navigation {
		gap: 2.75rem;
	}
}

@media (max-width: 768px) {
header .buttoned-link.mobile {
	display: block;
	    margin: 0 auto;
}
	
	.header__container {
		justify-content: start;
	}
	
	header .buttoned-link {
		margin-left: auto;
	}
	
.menu-mobile-btn,
	.menu-mobile-btn_close {
	display: block;
	}
	
	.menu-mobile-btn_close {
		text-align: start;
		margin-left: 24px;
	}

header .main-menu li.menu-item {
    padding-left: 64px;
    padding-top: 40px;
    padding-bottom: 40px;
    border-bottom: 1px solid #4B4949;
}
	
	#menu-navigation {
		gap: 0;
		flex-direction: column;
	}
	
	
    header .main-menu {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background: var(--color-base); 
        z-index: 1000;
        padding: 2rem;
        transform: translateX(-100%);
        display: flex;
        flex-direction: column;
        gap: 2rem;
		    padding-top: 5rem;
		    z-index: 99999;
    background: #000;
		    padding-left: 0;
    padding-right: 0;
    }

    header .main-menu.active {
        transform: translateX(0);
    }

	.site-logo img {
	    margin-left: 14px;
	}
}